Bug 22765 - Add class beside loggedinusername to indicate if logged in user is a superlibrarian
Summary: Add class beside loggedinusername to indicate if logged in user is a superlib...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-24 13:51 UTC by Kyle M Hall
Modified: 2019-04-26 16:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22765 - Add class beside loggedinusername to indicate if logged in user is a superlibrarian (1.64 KB, patch)
2019-04-24 13:54 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22765 - Add class beside loggedinusername to indicate if logged in user is a superlibrarian (1.68 KB, patch)
2019-04-24 14:14 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22765 - Add class beside loggedinusername to indicate if logged in user is a superlibrarian (1.73 KB, patch)
2019-04-24 15:05 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22765: Add class beside loggedinusername to indicate if logged in user is a superlibrarian (1.73 KB, patch)
2019-04-24 15:06 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22765: Add class beside loggedinusername to indicate if logged in user is a superlibrarian (1.78 KB, patch)
2019-04-25 06:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2019-04-24 13:51:30 UTC

    
Comment 1 Kyle M Hall 2019-04-24 13:54:25 UTC
Created attachment 88625 [details] [review]
Bug 22765 - Add class beside loggedinusername to indicate if logged in user is a superlibrarian

It would be useful to know if a logged in user is a superlibrarian for the purpose of customization
using Javascript and CSS.

Test Plan:
1) Apply this patch, restart all the things
2) Log in as a superlibraraian
3) Note the new class 'is_superlibrarian' next to the 'loggedinusername' class
4) Log in as a non-superlibrarian
5) Note the new class is not present
Comment 2 ByWater Sandboxes 2019-04-24 14:14:51 UTC
Created attachment 88627 [details] [review]
Bug 22765 - Add class beside loggedinusername to indicate if logged in user is a superlibrarian

It would be useful to know if a logged in user is a superlibrarian for the purpose of customization
using Javascript and CSS.

Test Plan:
1) Apply this patch, restart all the things
2) Log in as a superlibraraian
3) Note the new class 'is_superlibrarian' next to the 'loggedinusername' class
4) Log in as a non-superlibrarian
5) Note the new class is not present

Signed-off-by: Barton Chittenden <barton@bywatersolutions.com>
Comment 3 Liz Rea 2019-04-24 15:05:06 UTC
Created attachment 88633 [details] [review]
Bug 22765 - Add class beside loggedinusername to indicate if logged in user is a superlibrarian

It would be useful to know if a logged in user is a superlibrarian for the purpose of customization
using Javascript and CSS.

Test Plan:
1) Apply this patch, restart all the things
2) Log in as a superlibraraian
3) Note the new class 'is_superlibrarian' next to the 'loggedinusername' class
4) Log in as a non-superlibrarian
5) Note the new class is not present

Signed-off-by: Barton Chittenden <barton@bywatersolutions.com>

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 4 Liz Rea 2019-04-24 15:06:14 UTC
Created attachment 88634 [details] [review]
Bug 22765: Add class beside loggedinusername to indicate if logged in user is a superlibrarian

It would be useful to know if a logged in user is a superlibrarian for the purpose of customization
using Javascript and CSS.

Test Plan:
1) Apply this patch, restart all the things
2) Log in as a superlibraraian
3) Note the new class 'is_superlibrarian' next to the 'loggedinusername' class
4) Log in as a non-superlibrarian
5) Note the new class is not present

Signed-off-by: Barton Chittenden <barton@bywatersolutions.com>

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Fix commit message
Comment 5 Katrin Fischer 2019-04-25 06:05:03 UTC
Created attachment 88682 [details] [review]
Bug 22765: Add class beside loggedinusername to indicate if logged in user is a superlibrarian

It would be useful to know if a logged in user is a superlibrarian for the purpose of customization
using Javascript and CSS.

Test Plan:
1) Apply this patch, restart all the things
2) Log in as a superlibraraian
3) Note the new class 'is_superlibrarian' next to the 'loggedinusername' class
4) Log in as a non-superlibrarian
5) Note the new class is not present

Signed-off-by: Barton Chittenden <barton@bywatersolutions.com>

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-04-26 12:42:22 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-26 16:00:19 UTC
Enhancement will not be backported to 18.11.x series.